
###
###  Copyright 2000-2007 University of Illinois Board of Trustees
###  All rights reserved. 
###
###  02-control.t - test script for Control Modules.
###
###  Campus Information Technologies and Educational Services
###  University of Illinois at Urbana-Champaign
###

use Test;
use File::Find;
use warnings;
use PSGConf;

### Find all the perl modules and add them to the list to use.
sub wanted {
	### Ignore CVS directories and VIM swap files.
	-d $_ && $_ eq 'CVS' && ($File::Find::prune = 1);
	-f $_ &&  $_ !~ /^\..*.swp$/ && push @found, $File::Find::name
}
File::Find::find({wanted => \&wanted}, 'lib/PSGConf/Control');

plan tests => scalar @found;

%opts = (
	config_dir => 'config',
	modules_file => 't/psgconf_modules.test',
	rm_tmpfiles => 1
);
$ENV{'PSGCONF_TMPDIR'} = '.';

foreach $module ( @found ) {

	###
	### Massage the file name to convert it into perl use syntax
	###
	$module =~ s,^lib/,,;
	$module =~ s,/,::,g;
	$module =~ s/.pm$//;

	### Create the t/psgconf_modules.test file
	`egrep "^DataStore|$module" etc/psgconf_modules > t/psgconf_modules.test`;
	if ( ! $? ) {
		my ($psgconf) = PSGConf->new(%opts);

		ok (defined $psgconf, 1, "$module failed\n");

		undef $psgconf;

	} else {
		ok (0, 1, "Could not create t/psgconf_modules.test file\n");
	}
}

unlink ('t/psgconf_modules.test')
	if ( -f 't/psgconf_modules.test' );
