
###
###  Copyright 2000-2007 University of Illinois Board of Trustees
###  All rights reserved. 
###
###  03-action.t - test script for Action Modules.
###
###  Campus Information Technologies and Educational Services
###  University of Illinois at Urbana-Champaign
###

use Test;
use File::Find;
use warnings;
use PSGConf;

### Find all the perl modules and add them to the list to use.
sub wanted {
	### Ignore CVS directories and VIM swap files.
	-d $_ && $_ eq 'CVS' && ($File::Find::prune = 1);
	-f $_ &&  $_ !~ /^\..*.swp$/ && push @found, $File::Find::name
}
File::Find::find({wanted => \&wanted}, 'lib/PSGConf/Action');

plan tests => scalar @found;

$ENV{'PSGCONF_TMPDIR'} = '.';

foreach $module ( @found ) {

	###
	### Massage the file name to convert it into perl use syntax
	###
	$module =~ s,^lib/,,;
	$module =~ s,/,::,g;
	$module =~ s/.pm$//;

	eval "use $module;";

	my ($action) = $module->new(
		name		=> 'test',
		entries	=> { }
	);

	ok (defined $action, 1, "$module failed\n");
}
