
###
###  Copyright 2000-2007 University of Illinois Board of Trustees
###  All rights reserved. 
###
###  06-pod.t - test script for testing documentation syntax.
###
###  Campus Information Technologies and Educational Services
###  University of Illinois at Urbana-Champaign
###

use Test;
use File::Find;
use warnings;
use Pod::Checker;

### Find all the perl modules and add them to the list to use.
sub wanted {
	### Ignore CVS directories and VIM swap files.
	-d $_ && $_ eq 'CVS' && ($File::Find::prune = 1);
	-f $_ &&  $_ !~ /^\..*.swp$/ && push @found, $File::Find::name
}
File::Find::find({wanted => \&wanted}, 'lib');

plan tests => scalar @found;

foreach $module ( @found ) {

	### If we have Pod::Checker < 1.4, then it is broken with errors like this:
	###     ERROR: unresolved internal link 'psgconf-intro' at
	if ( $Pod::Checker::VERSION < 1.4 ) {
		skip ("Pod::Checker ($Pod::Checker::VERSION) has bugs, skipping\n", 1);
	} else {
		$res = podchecker($module);
		ok ($res, 0, "$module failed Pod Check\n");
	}

	### FIXME:  Need to verify that each module has the following:
	###		Action: If check(), diff() and do() items are defined,
	###			there is also a POD item as well.
	### 		Control:  Every directive, policy and action defined
	###			has a corresponding POD item.
	###		Data:  Every method has a defined POD item.
	###		DataStore:  That there are new() and read_config() POD items.
}
