
###
###  Copyright 2000-2007 University of Illinois Board of Trustees
###  All rights reserved. 
###
###  07-util.t - test script for testing PSGConf::Util module.
###
###  Campus Information Technologies and Educational Services
###  University of Illinois at Urbana-Champaign
###

use Test;
use File::Find;
use warnings;

plan tests => 6;

%opts = (
	config_dir => 'config',
	modules_file => 'etc/psgconf_modules',
	rm_tmpfiles => 1
);
$ENV{'PSGCONF_TMPDIR'} = '.';

use PSGConf::Util;

################################################################################
### RunCommand()
################################################################################

$res=&PSGConf::Util::RunCommand('true');

ok($res, 0, "RunCommand('true') returned wrong results ($res)\n");

$res=&PSGConf::Util::RunCommand('false', 1);
ok($res != 0, !0, "RunCommand('false') returned wrong results ($res)\n");

################################################################################
### platform_name()
################################################################################
($res, @suf) = platform_name();

$res2 = `blib/script/platform-name`;
chomp $res2;

ok ($res, $res2, "platform-name returned wrong results ($res vs $res2)\n");

@suf2 = `blib/script/platform-name -s`;

ok (@suf, @suf2, "platform-name -s returned wrong results (@suf vs @suf2)\n");

################################################################################
### get_addrs()
################################################################################

use PSGConf;
$psgconf = PSGConf->new(%opts);
(@ip) = get_addrs($psgconf, 'localhost');

ok ($ip[0], '127.0.0.1', "get_addrs failed to return correct localhost IP address\n");

################################################################################
### _expand_tokens()
################################################################################

use Sys::Hostname;
$text = "%{hostname}";
$hostname = hostname();
$psgconf->data_obj('hostname')->set($hostname);

$text = &PSGConf::Util::_expand_tokens($psgconf, $text);

ok ($text, $hostname, "_expand_tokens failed to return correct value\n");

